Spaces method and path for this operation:
post /s/{space_id}/api/fleet/agent_download_sources
Refer to Spaces for more information.
Create a new agent binary download source.
[Required authorization] Route required privileges: fleet-settings-all.
POST
/api/fleet/agent_download_sources
curl \
--request POST 'https://<KIBANA_URL>/api/fleet/agent_download_sources' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--header "kbn-xsrf: true" \
--data '{"host":"https://my-custom-host.example.com/downloads/","is_default":false,"name":"My custom download source"}'
Request example
Create a new agent binary download source
{
"host": "https://my-custom-host.example.com/downloads/",
"is_default": false,
"name": "My custom download source"
}
Response examples (200)
The created agent binary download source
{
"item": {
"host": "https://my-custom-host.example.com/downloads/",
"id": "download-source-id-2",
"is_default": false,
"name": "My custom download source"
}
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}